Merge "Remove unused ARM nodes"
[ci-management.git] / jjb / oom / oom-helm.yaml
index 7b2c7c9..5868f9f 100644 (file)
@@ -6,23 +6,39 @@
     mvn-settings: oom-settings
     mvn-global-settings: global-settings
     archive-artifacts: ''
-    build-node: ubuntu1604-helm-2c-1g
+    build-node: ubuntu1804-helm-2c-1g
     pre_build_script: !include-raw-escape: shell/helm-repo-init.sh
     oom_build_script: |
         #!/bin/bash
         set -e -o pipefail
         cd kubernetes/
+        if [ "$GERRIT_BRANCH" != "staging" ]; then
+          if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+            echo "[ERROR] Only release images are allowed in helm charts."
+            exit 1
+          fi
+        fi
         make all
     subproject_build_script: |
         #!/bin/bash
         cd kubernetes/
+        if [ "$GERRIT_BRANCH" != "staging" ]; then
+          if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+            echo "[ERROR] Only release images are allowed in helm charts."
+            exit 1
+          fi
+        fi
         make common
-        make {subproject}'
+        make {subproject}
     oom_post_build_script: !include-raw-escape: shell/publish_helm_charts.sh
 
     stream:
       - 'master':
           branch: 'master'
+      - 'dublin':
+          branch: 'dublin'
+      - 'casablanca':
+          branch: 'casablanca'
 
     subproject:
       - 'aaf':